CS::Animation::iBodyChainNode Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iBodyChainNode Struct Reference

A node in a body chain tree. More...

`#include <imesh/bodymesh.h>`

Inheritance diagram for CS::Animation::iBodyChainNode:

List of all members.

## Public Member Functions
virtual void | DebugPrint () const =0
| Print the hierarchical structure of this node and its children to the standard output.
virtual iBodyChainNode * | FindSubChild (CS::Animation::BoneID child) const =0
| Find the node of the bone with the given BoneID in the descendent children of this node.
virtual BoneID | GetAnimeshBone () const =0
| Return the ID of the bone of the animated mesh associated with this node.
virtual iBodyChainNode * | GetChild (size_t index) const =0
| Get the given child of this node.
virtual size_t | GetChildCount () const =0
| Get the count of children of this node.
virtual iBodyChainNode * | GetParent () const =0
| Get the parent node of this node.

## Detailed Description

A node in a body chain tree.

A node is directly associated to a body bone.

Definition at line 246 of file bodymesh.h.

## Member Function Documentation

virtual void CS::Animation::iBodyChainNode::DebugPrint | ( |  | ) | const`[pure virtual]`

Print the hierarchical structure of this node and its children to the standard output.

virtual iBodyChainNode* CS::Animation::iBodyChainNode::FindSubChild | ( | CS::Animation::BoneID | child | ) | const`[pure virtual]`

Find the node of the bone with the given BoneID in the descendent children of this node.

Return 0 if the given bone was not found.

virtual BoneID CS::Animation::iBodyChainNode::GetAnimeshBone | ( |  | ) | const`[pure virtual]`

Return the ID of the bone of the animated mesh associated with this node.

virtual iBodyChainNode* CS::Animation::iBodyChainNode::GetChild | ( | size_t | index | ) | const`[pure virtual]`

Get the given child of this node.

virtual size_t CS::Animation::iBodyChainNode::GetChildCount | ( |  | ) | const`[pure virtual]`

Get the count of children of this node.

virtual iBodyChainNode* CS::Animation::iBodyChainNode::GetParent | ( |  | ) | const`[pure virtual]`

Get the parent node of this node.

Returns 0 if the node is the root of the body chain.

The documentation for this struct was generated from the following file:

- imesh/bodymesh.h